> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eigenexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all operators

> Returns all operator records. This endpoint supports pagination.



## OpenAPI

````yaml get /operators
openapi: 3.0.3
info:
  title: EigenExplorer API
  description: EigenExplorer is a community-driven data platform for EigenLayer AVS.
  version: 0.0.1
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.eigenexplorer.com
    description: EigenExplorer Production API
  - url: https://api-holesky.eigenexplorer.com
    description: EigenExplorer Holesky Testnet API
security: []
paths:
  /operators:
    get:
      tags:
        - Operators
      summary: Retrieve all operators
      description: Returns all operator records. This endpoint supports pagination.
      operationId: getAllOperators
      parameters:
        - in: query
          name: withTvl
          description: Toggle whether the route should calculate the TVL from shares
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
            description: Toggle whether the route should calculate the TVL from shares
            example: 'false'
        - in: query
          name: searchByText
          description: Case-insensitive search query
          schema:
            type: string
            description: Case-insensitive search query
            example: eigen
        - in: query
          name: sortByApy
          description: Sort results in asc or desc order of APY
          schema:
            type: string
            enum:
              - asc
              - desc
            description: Sort results in asc or desc order of APY
            example: desc
        - in: query
          name: sortByTvl
          description: Sort results in asc or desc order of TVL value
          schema:
            type: string
            enum:
              - asc
              - desc
            description: Sort results in asc or desc order of TVL value
            example: desc
        - in: query
          name: sortByTotalAvs
          description: >-
            Sort results in asc or desc order of total AVS (only valid for
            Operator queries)
          schema:
            type: string
            enum:
              - asc
              - desc
            description: >-
              Sort results in asc or desc order of total AVS (only valid for
              Operator queries)
            example: desc
        - in: query
          name: sortByTotalStakers
          description: Sort results in asc or desc order of total stakers
          schema:
            type: string
            enum:
              - asc
              - desc
            description: Sort results in asc or desc order of total stakers
            example: desc
        - in: query
          name: skip
          description: The number of records to skip for pagination
          schema:
            type: string
            default: '0'
            description: The number of records to skip for pagination
            example: 0
        - in: query
          name: take
          description: The number of records to return for pagination
          schema:
            type: string
            default: '12'
            description: The number of records to return for pagination
            example: 12
        - in: header
          name: X-API-Token
          description: API Token for authentication
          schema:
            type: string
            description: API Token for authentication
          required: true
      responses:
        '200':
          description: The list of operator records.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The contract address of the AVS operator
                          example: '0x09e6eb09213bdd3698bd8afb43ec3cb0ecff683a'
                        metadataName:
                          type: string
                          description: The name of the AVS operator
                          example: Example AVS Operator
                        metadataDescription:
                          type: string
                          nullable: true
                          description: The description of the AVS operator
                          example: This is an example AVS operator
                        metadataDiscord:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS operator's Discord server
                          example: https://discord.com/invite/abcdefghij
                        metadataLogo:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS operator's logo
                        metadataTelegram:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS operator's Telegram channel
                          example: https://t.me/acme
                        metadataWebsite:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS operator's website
                          example: https://acme.com
                        metadataX:
                          type: string
                          nullable: true
                          format: uri
                          description: The URL of the AVS operator's X
                          example: https://twitter.com/acme
                        totalStakers:
                          type: number
                          description: >-
                            The total number of stakers who have delegated to
                            this AVS operator
                          example: 10
                        totalAvs:
                          type: number
                          description: The total number of AVS opted by the AVS operator
                          example: 10
                        maxApy:
                          type: string
                          description: >-
                            The best strategy APY, representing the maximum
                            value when each strategy's APY is summed across all
                            AVSs, as strategies collect APY from multiple AVSs
                            (it stacks). This reflects the highest APY you can
                            get for a strategy after deducting the operator fee
                          example: '1.0'
                        createdAtBlock:
                          type: string
                          description: >-
                            The block number at which the AVS Operator was
                            registered
                          example: '19631203'
                        updatedAtBlock:
                          type: string
                          description: >-
                            The block number at which the AVS Operator
                            registration was last updated
                          example: '19631203'
                        createdAt:
                          type: string
                          description: >-
                            The time stamp at which the AVS Operator was
                            registered
                          example: '2024-04-11T08:31:11.000Z'
                        updatedAt:
                          type: string
                          description: >-
                            The time stamp at which the AVS Operator
                            registration was last updated
                          example: '2024-04-11T08:31:11.000Z'
                        shares:
                          type: array
                          items:
                            type: object
                            properties:
                              strategyAddress:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: The contract address of the restaking strategy
                                example: '0xbeac0eeeeeeeeeeeeeeeeeeeeeeeeeeeeeebeac0'
                              shares:
                                type: string
                                description: The amount of shares held in the strategy
                                example: '1277920000000000000000000'
                            required:
                              - strategyAddress
                              - shares
                          description: The strategy shares held in the AVS operator
                          example:
                            - strategyAddress: '0x93c4b944d05dfe6df7645a86cd2206016c51564d'
                              shares: '135064894598947935263152'
                            - strategyAddress: '0x54945180db7943c0ed0fee7edab2bd24620256bc'
                              shares: '9323641881708650182301'
                        avsRegistrations:
                          type: array
                          items:
                            type: object
                            properties:
                              avsAddress:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: AVS service manager contract address
                                example: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
                              isActive:
                                type: boolean
                                description: >-
                                  True indicates operator is an active
                                  participant while False indicates it used to
                                  be one but not anymore
                                example: false
                            required:
                              - avsAddress
                              - isActive
                          description: >-
                            Operator AVS registrations and their participation
                            status
                          example:
                            - avsAddress: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
                              isActive: true
                            - avsAddress: '0xe8e59c6c8b56f2c178f63bcfc4ce5e5e2359c8fc'
                              isActive: false
                        tvl:
                          type: object
                          properties:
                            tvl:
                              type: number
                              description: >-
                                The combined TVL of all restaking strategies in
                                ETH
                              example: 1000000
                            tvlBeaconChain:
                              type: number
                              description: >-
                                The TVL of Beacon Chain restaking strategy in
                                ETH
                              example: 1000000
                            tvlRestaking:
                              type: number
                              description: >-
                                The combined TVL of all liquid restaking
                                strategies in ETH
                              example: 1000000
                            tvlWETH:
                              type: number
                              description: The TVL of WETH restaking strategy in ETH
                              example: 1000000
                            tvlStrategies:
                              type: object
                              additionalProperties:
                                type: number
                                description: >-
                                  The total value locked (TVL) in the strategy,
                                  denominated in the strategy's native token
                                example: 1000000
                              description: >-
                                The TVL of each individual restaking strategy in
                                its native token
                              example:
                                Eigen: 1000000
                                cbETH: 2000000
                            tvlStrategiesEth:
                              type: object
                              additionalProperties:
                                type: number
                                description: >-
                                  The total value locked (TVL) in the strategy,
                                  denominated in ETH
                                example: 1000000
                              description: >-
                                The TVL of each individual restaking strategy in
                                ETH
                              example:
                                Eigen: 1000000
                                cbETH: 2000000
                          required:
                            - tvl
                            - tvlBeaconChain
                            - tvlRestaking
                            - tvlWETH
                            - tvlStrategies
                            - tvlStrategiesEth
                          description: The total value locked (TVL) in the AVS operator
                          example:
                            tvl: 1000000
                            tvlBeaconChain: 1000000
                            tvlWETH: 1000000
                            tvlRestaking: 1000000
                            tvlStrategies:
                              Eigen: 1000000
                              cbETH: 2000000
                            tvlStrategiesEth:
                              stETH: 1000000
                              cbETH: 2000000
                      required:
                        - address
                        - metadataName
                        - metadataDescription
                        - metadataDiscord
                        - metadataLogo
                        - metadataTelegram
                        - metadataWebsite
                        - metadataX
                        - totalStakers
                        - totalAvs
                        - maxApy
                        - createdAtBlock
                        - updatedAtBlock
                        - createdAt
                        - updatedAt
                        - shares
                        - avsRegistrations
                  meta:
                    type: object
                    properties:
                      total:
                        type: number
                        description: Total number of records in the database
                        example: 30
                      skip:
                        type: number
                        description: The number of skiped records for this query
                        example: 0
                      take:
                        type: number
                        description: The number of records returned for this query
                        example: 12
                    required:
                      - total
                      - skip
                      - take
                required:
                  - data
                  - meta
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````